Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.util.xml
Class XmlUtils

    java.lang.Object
      org.apache.myfaces.shared_orchestra.util.xml.XmlUtils

    public class XmlUtils

extends Object

Version:
  $Revision: 472630 $ $Date: 2006-11-08 15:40:03 -0500 (Wed, 08 Nov 2006) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Method Summary
`static String` | `getChildText(Element elem, String childTagName)` Return content of child element with given tag name.
`static List` | `getChildTextList(Element elem, String childTagName)` Return list of content Strings of all child elements with given tag name.
`static String` | `getElementText(Element elem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getElementText

    public static String getElementText(Element elem)

### getChildText

    public static String getChildText(Element elem,
                                      String childTagName)

  Return content of child element with given tag name. If more than one children with this name are present, the content of the last element is returned.

  Parameters:
    `elem` -
    `childTagName` -
  Returns:
    content of child element or null if no child element with this name was found

### getChildTextList

    public static List getChildTextList(Element elem,
                                        String childTagName)

  Return list of content Strings of all child elements with given tag name.

  Parameters:
    `elem` -
    `childTagName` -
  Returns:
    List

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.